Altibase.jdbc.driver.sharding.core

## Class AltibaseShardingStatement

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.JdbcMethodInvoker
  - - Altibase.jdbc.driver.sharding.core.AltibaseShardingStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  AltibaseShardingPreparedStatement

    public class AltibaseShardingStatement
    extends JdbcMethodInvoker
    implements java.sql.Statement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBatch(java.lang.String aSql)`
`void` `cancel()`
`void` `clearBatch()`
`void` `clearWarnings()`
`void` `close()`
`protected void` `createDataNodeStatement()`
`protected void` `createInternalStatement()`
`protected void` `createServerSideStatement()`
`boolean` `execute(java.lang.String aSql)`
`boolean` `execute(java.lang.String aSql, int aAutoGeneratedKeys)`
`boolean` `execute(java.lang.String aSql, int[] aColumnIndexes)`
`boolean` `execute(java.lang.String aSql, java.lang.String[] aColumnNames)`
`int[]` `executeBatch()`
`java.sql.ResultSet` `executeQuery(java.lang.String aSql)`
`int` `executeUpdate(java.lang.String aSql)`
`int` `executeUpdate(java.lang.String aSql, int aAutoGeneratedKeys)`
`int` `executeUpdate(java.lang.String aSql, int[] aColumnIndexes)`
`int` `executeUpdate(java.lang.String aSql, java.lang.String[] aColumnNames)`
`java.sql.Connection` `getConnection()`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`java.sql.ResultSet` `getGeneratedKeys()`
`int` `getMaxFieldSize()`
`int` `getMaxRows()`
`AltibaseShardingConnection` `getMetaConn()`
`boolean` `getMoreResults()`
`boolean` `getMoreResults(int aCurrent)`
`int` `getQueryTimeout()`
`java.sql.ResultSet` `getResultSet()`
`int` `getResultSetConcurrency()`
`int` `getResultSetHoldability()`
`int` `getResultSetType()`
`int` `getUpdateCount()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `hasNoData()`
`boolean` `isPrepared()`
`void` `removeFromStmtRouteMap(DataNode aNode)`
`void` `setCursorName(java.lang.String aName)`
`void` `setEscapeProcessing(boolean aEnable)`
`void` `setFetchDirection(int aDirection)`
`void` `setFetchSize(int aRows)`
`void` `setMaxFieldSize(int aMax)`
`void` `setMaxRows(int aMax)`
`void` `setQueryTimeout(int aSeconds)`
`void` `setShardMetaNumber(long aShardMetaNumber)`
`void` `setSql(java.lang.String aSql)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`closeOnCompletion, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, getLargeMaxRows, getLargeUpdateCount, isClosed, isCloseOnCompletion, isPoolable, setLargeMaxRows, setPoolable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String aSql)
                                    throws java.sql.SQLException

Specified by:
  `executeQuery` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

Specified by:
  `getMaxFieldSize` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setMaxFieldSize

    public void setMaxFieldSize(int aMax)
                         throws java.sql.SQLException

Specified by:
  `setMaxFieldSize` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

Specified by:
  `getMaxRows` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setMaxRows

    public void setMaxRows(int aMax)
                    throws java.sql.SQLException

Specified by:
  `setMaxRows` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setEscapeProcessing

    public void setEscapeProcessing(boolean aEnable)
                             throws java.sql.SQLException

Specified by:
  `setEscapeProcessing` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

Specified by:
  `getQueryTimeout` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setQueryTimeout

    public void setQueryTimeout(int aSeconds)
                         throws java.sql.SQLException

Specified by:
  `setQueryTimeout` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### cancel

    public void cancel()
                throws java.sql.SQLException

Specified by:
  `cancel` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Specified by:
  `getWarnings` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Specified by:
  `clearWarnings` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setCursorName

    public void setCursorName(java.lang.String aName)
                       throws java.sql.SQLException

Specified by:
  `setCursorName` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

Specified by:
  `getResultSet` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

Specified by:
  `getUpdateCount` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

Specified by:
  `getMoreResults` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### setFetchDirection

    public void setFetchDirection(int aDirection)
                           throws java.sql.SQLException

Specified by:
  `setFetchDirection` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public int getFetchDirection()

Specified by:
  `getFetchDirection` in interface `java.sql.Statement`

#### setFetchSize

    public void setFetchSize(int aRows)
                      throws java.sql.SQLException

Specified by:
  `setFetchSize` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Specified by:
  `getFetchSize` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getResultSetConcurrency

    public int getResultSetConcurrency()

Specified by:
  `getResultSetConcurrency` in interface `java.sql.Statement`

#### getResultSetType

    public int getResultSetType()

Specified by:
  `getResultSetType` in interface `java.sql.Statement`

#### addBatch

    public void addBatch(java.lang.String aSql)
                  throws java.sql.SQLException

Specified by:
  `addBatch` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

Specified by:
  `clearBatch` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

Specified by:
  `executeBatch` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getConnection

    public java.sql.Connection getConnection()

Specified by:
  `getConnection` in interface `java.sql.Statement`

#### getMoreResults

    public boolean getMoreResults(int aCurrent)
                           throws java.sql.SQLException

Specified by:
  `getMoreResults` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

Specified by:
  `getGeneratedKeys` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int aAutoGeneratedKeys)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             int[] aColumnIndexes)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### executeUpdate

    public int executeUpdate(java.lang.String aSql,
                             java.lang.String[] aColumnNames)
                      throws java.sql.SQLException

Specified by:
  `executeUpdate` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int aAutoGeneratedKeys)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           int[] aColumnIndexes)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### execute

    public boolean execute(java.lang.String aSql,
                           java.lang.String[] aColumnNames)
                    throws java.sql.SQLException

Specified by:
  `execute` in interface `java.sql.Statement`
Throws:
  `java.sql.SQLException`

#### getResultSetHoldability

    public int getResultSetHoldability()

Specified by:
  `getResultSetHoldability` in interface `java.sql.Statement`

#### createInternalStatement

    protected void createInternalStatement()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createServerSideStatement

    protected void createServerSideStatement()
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### createDataNodeStatement

    protected void createDataNodeStatement()
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isPrepared

    public boolean isPrepared()

#### hasNoData

    public boolean hasNoData()

#### getMetaConn

    public AltibaseShardingConnection getMetaConn()

#### setSql

    public void setSql(java.lang.String aSql)

#### setShardMetaNumber

    public void setShardMetaNumber(long aShardMetaNumber)

#### removeFromStmtRouteMap

    public void removeFromStmtRouteMap(DataNode aNode)